mallow docs

Offers inbox

POST
/v2/offers/inbox

Every active offer and auction bid involving the owners wallets, received and placed, in one sorted feed. Expired offers and settled auctions are not included.

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Wallets and paging for the inbox.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v2/offers/inbox" \  -H "Content-Type: application/json" \  -d '{    "owners": [      "string"    ],    "sort": "latest",    "page": 0  }'
{  "result": {    "result": [      {        "kind": "offer",        "direction": "received",        "asset": "string",        "artworkTitle": "string",        "artworkImageUrl": "string",        "nsfw": true,        "editionNumber": 0,        "creatorUsername": "string",        "actorAddress": "string",        "actor": {          "username": "string",          "displayName": "string",          "imageUrl": "string"        },        "viewerAddress": "string",        "rawAmount": "string",        "currencyMint": "string",        "usdValue": 0,        "date": "string",        "endTime": "string",        "txId": "string",        "auction": {          "status": "live",          "settled": true,          "endTime": "string",          "sellerAddress": "string",          "isHighestBidder": true,          "highestBid": {            "bidderAddress": "string",            "bidder": {              "username": "string",              "displayName": "string",              "imageUrl": "string"            },            "rawAmount": "string",            "currencyMint": "string",            "usdValue": 0,            "date": "string",            "txId": "string"          },          "yourBid": {            "bidderAddress": "string",            "bidder": {              "username": "string",              "displayName": "string",              "imageUrl": "string"            },            "rawAmount": "string",            "currencyMint": "string",            "usdValue": 0,            "date": "string",            "txId": "string"          },          "recentBids": [            {              "bidderAddress": "string",              "bidder": {                "username": "string",                "displayName": "string",                "imageUrl": "string"              },              "rawAmount": "string",              "currencyMint": "string",              "usdValue": 0,              "date": "string",              "txId": "string"            }          ]        }      }    ],    "nextPage": 0,    "total": 0,    "hiddenByBlockCount": 0  }}